package cmm.service;

import java.util.Date;

import cmm.util.CmmUtil;
import cmm.util.CmmVO;

@SuppressWarnings("serial")
public class CmmCouncilInfoVO extends CmmVO {
	
	private String id = null;
	private String region = "";
	private String couName = "";
	private String councilNm = "";
	private String councilCd = "";
	private String postNo = "";
	private String address = "";
	private String frontTelNo = "";
	private String middleTelNo = "";
	private String endTelNo = "";
	private String phone = "";
	private String mainImg = "";
	private String summary = "";
	private String email = "";
	private String faxFrontTelNo = "";
	private String faxMiddleTelNo = "";
	private String faxEndTelNo = "";
	private String fax = "";
	private String url = "";
	private Date createdAt = null;
	private Date updatedAt = null;
	private String useAt = "";
	private String mainImgOrignlFileNm = "";
	private String atchCtrl ="";
	
	private String contentId = null;
	private String mediaId = null;
	
	
	// 지역문화지도에서 사용하기 위한 변수
	private String contentType = "";
	private String latitude = "";
	private String longitude = "";
	private String sidoName = "";
	private String sigunguName = "";
	private String cntnsStoryCnt = "0";  // 지역문화이야기 건수
	private String localCultureCnt = "0"; // 지역문화정보 건수(관광정보)
	private String councilCnt = "0"; // 소장자료 건수
	
	private String linkNm = ""; //문화원 접속 URL
	private String siteStyle =""; //사이트 색상
	
	public String getCouncilNm() {
		return councilNm;
	}
	public void setCouncilNm(String councilNm) {
		this.councilNm = councilNm;
	}
	public String getCouncilCd() {
		return councilCd;
	}
	public void setCouncilCd(String councilCd) {
		this.councilCd = councilCd;
	}
	public String getPostNo() {
		return postNo;
	}
	public void setPostNo(String postNo) {
		this.postNo = postNo;
	}
	public String getAddress() {
		return address;
	}
	public void setAddress(String address) {
		this.address = address;
	}
	public String getFrontTelNo() {
		return frontTelNo;
	}
	public void setFrontTelNo(String frontTelNo) {
		this.frontTelNo = frontTelNo;
	}
	public String getMiddleTelNo() {
		return middleTelNo;
	}
	public void setMiddleTelNo(String middleTelNo) {
		this.middleTelNo = middleTelNo;
	}
	public String getEndTelNo() {
		return endTelNo;
	}
	public void setEndTelNo(String endTelNo) {
		this.endTelNo = endTelNo;
	}
	public String getPhone() {
		return phone;
	}
	public void setPhone(String phone) {
		this.phone = phone;
	}
	public String getMainImg() {
		return mainImg;
	}
	public void setMainImg(String mainImg) {
		this.mainImg = mainImg;
	}
	public String getSummary() {
		return summary;
	}
	public void setSummary(String summary) {
		this.summary = summary;
	}
	public String getEmail() {
		return email;
	}
	public void setEmail(String email) {
		this.email = email;
	}
	public String getFaxFrontTelNo() {
		return faxFrontTelNo;
	}
	public void setFaxFrontTelNo(String faxFrontTelNo) {
		this.faxFrontTelNo = faxFrontTelNo;
	}
	public String getFaxMiddleTelNo() {
		return faxMiddleTelNo;
	}
	public void setFaxMiddleTelNo(String faxMiddleTelNo) {
		this.faxMiddleTelNo = faxMiddleTelNo;
	}
	public String getFaxEndTelNo() {
		return faxEndTelNo;
	}
	public void setFaxEndTelNo(String faxEndTelNo) {
		this.faxEndTelNo = faxEndTelNo;
	}
	public String getFax() {
		return fax;
	}
	public void setFax(String fax) {
		this.fax = fax;
	}
	public String getUrl() {
		return url;
	}
	public void setUrl(String url) {
		this.url = url;
	}
	public Date getCreatedAt() {
		return createdAt;
	}
	public void setCreatedAt(Date createdAt) {
		this.createdAt = createdAt;
	}
	public Date getUpdatedAt() {
		return updatedAt;
	}
	public void setUpdatedAt(Date updatedAt) {
		this.updatedAt = updatedAt;
	}
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public String getContentId() {
		return contentId;
	}
	public void setContentId(String contentId) {
		this.contentId = contentId;
	}
	public String getRegion() {
		return region;
	}
	public void setRegion(String region) {
		this.region = region;
	}
	public String getCouName() {
		return couName;
	}
	public void setCouName(String couName) {
		this.couName = couName;
	}
    public String getUseAt() {
		return useAt;
	}
	public void setUseAt(String useAt) {
		this.useAt = useAt;
	}
	public String getMainImgOrignlFileNm() {
		return mainImgOrignlFileNm;
	}
	public void setMainImgOrignlFileNm(String mainImgOrignlFileNm) {
		this.mainImgOrignlFileNm = mainImgOrignlFileNm;
	}
	public String getAtchCtrl() {
		return atchCtrl;
	}
	public void setAtchCtrl(String atchCtrl) {
		this.atchCtrl = atchCtrl;
	}
	public String toString() {
    	return CmmUtil.reflectionToString(this);
    }
	public String getMediaId() {
		return mediaId;
	}
	public void setMediaId(String mediaId) {
		this.mediaId = mediaId;
	}
	public String getContentType() {
		return contentType;
	}
	public void setContentType(String contentType) {
		this.contentType = contentType;
	}
	public String getLatitude() {
		return latitude;
	}
	public void setLatitude(String latitude) {
		this.latitude = latitude;
	}
	public String getLongitude() {
		return longitude;
	}
	public void setLongitude(String longitude) {
		this.longitude = longitude;
	}
	public String getSidoName() {
		return sidoName;
	}
	public void setSidoName(String sidoName) {
		this.sidoName = sidoName;
	}
	public String getSigunguName() {
		return sigunguName;
	}
	public void setSigunguName(String sigunguName) {
		this.sigunguName = sigunguName;
	}
	public String getCntnsStoryCnt() {
		return cntnsStoryCnt;
	}
	public void setCntnsStoryCnt(String cntnsStoryCnt) {
		this.cntnsStoryCnt = cntnsStoryCnt;
	}
	public String getLocalCultureCnt() {
		return localCultureCnt;
	}
	public void setLocalCultureCnt(String localCultureCnt) {
		this.localCultureCnt = localCultureCnt;
	}
	public String getCouncilCnt() {
		return councilCnt;
	}
	public void setCouncilCnt(String councilCnt) {
		this.councilCnt = councilCnt;
	}
	public String getLinkNm() {
		return linkNm;
	}
	public void setLinkNm(String linkNm) {
		this.linkNm = linkNm;
	}
	public String getSiteStyle() {
		return siteStyle;
	}
	public void setSiteStyle(String siteStyle) {
		this.siteStyle = siteStyle;
	}
	
	
}
